Get Access Token for an App

Use this API to get the access token for your Gupshup App

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

You can use this token to get App’s templates, submit templates, send messages etc.
You will need below details to start using this API.

  1. Partner token

Request Parameters

Key

Value

Description

Authorization

{{PARTNER_TOKEN}}

JWT Token issued post Partner login

App ID

{{APP_ID}}

Unique Identifier for Gupshup App. The ID should be a valid App ID of Gupshup

The App must be associated with the account that owns the PARTNER_APP_TOKEN being utilized.

Sample Request

curl --location --request GET 'https://partner.gupshup.io/partner/app/{{APP_ID}}/token/' \
--header 'Authorization: {{PARTNER_TOKEN}}'

Sample Response

{
    "status": "success",
    "token": {
        "token": "sk_20c901e*********2a592484********1",
        "authoriserId": "aac***e8-d**c-****-a93f-**d6d5a***e8",
        "requestorId": "4**2",
        "createdOn": 1705905891100,
        "modifiedOn": 1705905891100,
        "expiresOn": 0,
        "active": true
    }
}
Path Params
string
required

App id

Headers
string
required

Partner token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json